// DirectPlayDlg.h : Declaration of the CDirectPlayDlg

#ifndef __DIRECTPLAYDLG_H_
#define __DIRECTPLAYDLG_H_

#include "resource.h"       // main symbols
#include <atlhost.h>
#include "dplay.h"

/////////////////////////////////////////////////////////////////////////////
// CDirectPlayDlg
class CDirectPlayDlg : 
	public CAxDialogImpl<CDirectPlayDlg>
{
public:
	CDirectPlayDlg()
	{
	}

	~CDirectPlayDlg()
	{
	}

	enum { IDD = IDD_DIRECTPLAYDLG };

BEGIN_MSG_MAP(CDirectPlayDlg)
	MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog)
	COMMAND_ID_HANDLER(IDCANCEL, OnCancel)
	MESSAGE_HANDLER(WM_DESTROY, OnDestroy)
	MESSAGE_HANDLER(WM_TIMER, OnTimer)
	COMMAND_HANDLER(IDC_SPCOMBO, CBN_SELCHANGE, OnSelchangeSpcombo)
	MESSAGE_HANDLER(WM_CONTEXTMENU, OnContextMenu)
	COMMAND_HANDLER(IDC_ABOUT, BN_CLICKED, OnClickedAbout)
END_MSG_MAP()
// Handler prototypes:
//  LRESULT MessageHandler(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
//  LRESULT CommandHandler(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
//  LRESULT NotifyHandler(int idCtrl, LPNMHDR pnmh, BOOL& bHandled);

LRESULT OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
LRESULT OnOK(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
LRESULT OnCancel(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
LRESULT OnDestroy(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
LRESULT OnTimer(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
LRESULT OnSelchangeSpcombo(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);
LRESULT OnContextMenu(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
LRESULT OnClickedAbout(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled);

// prototypes
HRESULT	CreateDirectPlayInterface(LPDIRECTPLAY3A *lplpDirectPlay3A );
HRESULT	DestroyDirectPlayInterface(HWND hWnd, LPDIRECTPLAY3A lpDirectPlay3A);
void DeleteConnectionList(HWND hWnd);
HRESULT GetConnection(HWND hWnd, LPVOID *lplpConnection);
HRESULT EnumSessions(HWND hWnd, LPDIRECTPLAY3A lpDirectPlay3A);
void ErrorBox(LPSTR lpszErrorStr, HRESULT hr);

};

#endif //__DIRECTPLAYDLG_H_
